import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconZap as IconZapClass } from "../../../../components/icon/icons/zap.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconZap = (props) => {
  IconZapClass.define();
  const JSXElement = getReactComponent("gds-icon-zap");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconZap.displayName = "IconZap";
export {
  IconZap
};
